Множественные уязвимости в Oracle VirtualBox

Дата публикации:
22.05.2014
Дата изменения:
22.05.2014
Всего просмотров:
654
Опасность:
Низкая
Наличие исправления:
Да
Количество уязвимостей:
5
CVSSv2 рейтинг:
(AV:L/AC:L/Au:N/C:C/I:C/A:C/E:U/RL:OF/RC:C) = Base:7.2/Temporal:5.3
(AV:L/AC:L/Au:N/C:C/I:C/A:C/E:U/RL:OF/RC:C) = Base:7.2/Temporal:5.3
(AV:L/AC:L/Au:N/C:N/I:P/A:P/E:U/RL:OF/RC:C) = Base:3.6/Temporal:2.7
(AV:L/AC:L/Au:N/C:N/I:P/A:P/E:U/RL:OF/RC:C) = Base:3.6/Temporal:2.7
(AV:L/AC:L/Au:N/C:N/I:P/A:P/E:U/RL:OF/RC:C) = Base:3.6/Temporal:2.7
CVE ID:
CVE-2013-5892
CVE-2014-0404
CVE-2014-0405
CVE-2014-0406
CVE-2014-0407
Вектор эксплуатации:
Локальная
Воздействие:
Отказ в обслуживании
Раскрытие важных данных
Неавторизованное изменение данных
Повышение привилегий
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Oracle VirtualBox 4.x
Уязвимые версии: Oracle VirtualBox 3.x, 4.х, возможно более ранние версии

Описание:
Обнаруженные уязвимости позволяют локальному пользователю манипулировать важными данными, получить доступ к определенной конфиденциальной информации, повысить свои привилегии на системе и вызвать отказ в обслуживании приложения.

1. Уязвимость существует из-за ошибки в подкомпоненте Core при обработке запроса VMMDev вызова HGCM (Host-Guest Communication Manager). Локальный пользователь может вызвать переполнение буфера памяти.
Для успешной эксплуатации уязвимости пользователь может выполнить произвольный код на целевой системе.
Эта уязвимость существует в версиях до 3.2.20, 4.0.22, 4.1.30, 4.2.20 и 4.3.6.

2. Уязвимость существует из-за ошибки в подкомпоненте Core при обработке вызовов HGCM. Локальный пользователь может повысить свои привилегии на системе.

3. Уязвимость существует из-за ошибки в подкомпоненте Core при обработке запросов IOCTL_MRX_VBOX_DELCONN. Локальный пользователь может манипулировать определенными важными данными обновить, вставить или удалить что в последствии приведет к аварийному завершению работы приложения.

4. Уязвимость существует из-за ошибки в подкомпоненте Core при обработке запросов VMMDevReq_SetPointerShape. Локальный пользователь может манипулировать определенными важными данными обновить, вставить или удалить что в последствии приведет к аварийному завершению работы приложения.

5. Уязвимость существует из-за ошибки в подкомпоненте Core при обработке чеков vmmdevHGCMSaveLinPtr. Локальный пользователь может манипулировать определенными важными данными обновить, вставить или удалить что в последствии приведет к аварийному завершению работы приложения.

Уязвимости №2-№5 представлены в версиях до 3.2.20, 4.0.22, 4.1.30, 4.2.20 и 4.3.4.

URL производителя: http://www.oracle.com/

Решение: Установите последнюю версию с сайта производителя.

Ссылки: http://www.oracle.com/technetwork/topics/security/cpujan2014-1972949.html#AppendixOVIR
http://www.oracle.com/technetwork/topics/security/cpujan2014verbose-1972951.html#OVIR

или введите имя

CAPTCHA